Skip to content

Use the following endpoint to import an Inbox Item from an E2B (R2) or E2B (R3) file containing one or more Individual Case Safety Reports (ICSRs):

POST/api/{version}/app/safety/intake/inbox-item
NameDescription
Content-Typemultipart/form-data
NameDescription
fileThe filepath of the E2B file to be imported.
origin-organization(Optional) The Vault API Name for the Organization sending the E2B file. This parameter sets the Origin Organization on the Inbound Transmission. If no value is provided, the Origin Organization is left blank.
formatThe format of the file being imported. This must match the Vault API Name of the Inbound Transmission Format picklist value. Must be an E2B format.
organization(Optional) To specify which organization to send the Case to, enter the Vault API Name for the Organization record. If no value is provided, the Organization is set to vault_customer__v. Note that the Organization record type must be Sponsor.
use-source-meddra(Optional) Allows an override of the Vault's active MedDRA Dictionary version:
  • When true: Use the MedDRA version specified in the E2B file.
  • When false (default): Use the active MedDRA version from the Vault MedDRA Dictionary.
curl --location --request POST 'https://myvault.veevavault.com/api/v22.1/app/safety/intake/inbox-item' \ --header 'Content-Type: multipart/form-data' \ --header 'Authorization: {SESSION_ID}' \ --form 'file=@"/directory/labrinone_literature_case.xml"' \ --form 'origin-organization="vertio_biopharma__c"' \ --form 'format="e2br3__v"' \ --form 'use-source-meddra="false"' \ --form 'organization="vault_customer__v"'
{ "responseStatus": "SUCCESS", "url": "/api/v22.1/app/safety/intake/status?inbound_id=V29000000004001", "intake_id": "V29000000004001" }

On SUCCESS, the response includes the following information:

NameDescription
urlThe URL to retrieve the current status of the import request.
intake_idThe Inbound Transmission ID of the E2B import.

On FAILURE, the response returns a message describing the reason for the failure.